> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織グループの上限を更新する

> 組織グループ設定を更新する

`ManageOrganizations` 権限が必要です。

<Note>
  このエンドポイントを利用するには、お客様の Enterprise 環境で組織グループの上限機能が有効になっている必要があります。この機能を有効化するには、アカウントチームにお問い合わせください。
</Note>

組織グループ設定全体を、指定された設定で置き換えます。リクエストに含まれていないグループは削除され、含まれているグループは、指定された設定に合わせて作成または更新されます。各グループは、組織 ID の集合を、請求サイクルごとのオプションの最大 Agent Compute Unit limit に対応付けます。


## OpenAPI

````yaml ja/v3-openapi.yaml PUT /v3/enterprise/org-group-limits
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/org-group-limits:
    put:
      tags:
        - org-groups
      summary: 組織グループ設定を更新
      description: |-
        組織グループ設定を更新します。

        このエンドポイントは、指定された設定で組織グループ設定全体を完全に置き換えます。
        - リクエストに含まれないグループは削除されます。
        - リクエストに含まれるグループは、設定に基づいて新規作成または更新されます。
      operationId: update_org_groups_config_v3_enterprise_org_group_limits_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroupsConfig'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGroupsConfig'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    OrgGroupsConfig:
      description: グループ名とその設定とのマッピングを定義する設定。
      properties:
        groups:
          additionalProperties:
            $ref: '#/components/schemas/OrgGroupConfig'
          title: Groups
          type: object
      required:
        - groups
      title: OrgGroupsConfig
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrgGroupConfig:
      properties:
        max_cycle_acus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acus
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
          uniqueItems: true
      required:
        - org_ids
      title: OrgGroupConfig
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````